Bug 442110 - partition writing is before bootloader config
partition writing is before bootloader config
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-11 15:20 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-18 13:17:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-04-11 15:20:42 EDT
Description of problem:

Not sure why it needs to be, that doesn't take that much memory.

Version-Release number of selected component (if applicable):

Comment 1 Bug Zapper 2008-05-14 05:19:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Chris Lumens 2008-06-18 13:17:28 EDT
It doesn't really look like we can move the bootloader steps before the
partition writing steps.  The bootloader config sets are full of code like this:

    bootDev = anaconda.id.fsset.getEntryByMountPoint("/")
    if not bootDev:
        bootDev = anaconda.id.fsset.getEntryByMountPoint("/boot")
    part = partedUtils.get_partition_by_name(anaconda.id.diskset.disks,

Which is going to want partitions written to the disk so we'll be able to detect
them and know which choices to offer.  Moving these steps earlier would be nice
because we'd be able to get rid of the inability to go back, but I don't think
it's possible with the current code structure.

Note You need to log in before you can comment on or make changes to this bug.